varying vec3 normal, lightDir;
varying vec2 texCoord;
uniform sampler2D texture;

void main()
{

	float intensity;
	vec3 n;
	vec4 _color;

	n = normalize(normal);
	intensity = dot(lightDir, n);
	
	if (intensity > 0.95)
		_color = vec4(1.0,1.0,1.0,1.0);

	else if (intensity > 0.5)
		_color = vec4(0.5,0.5,0.5,1.0);

	else if (intensity > 0.25)
		_color = vec4(0.25,0.25,0.25,1.0);
	
	//else if (intensity > 0.10)
	//	_color = vec4(0.1,0.1,0.1,1.0);

	else
		_color = vec4(0.05,0.05,0.05,1.0);

	gl_FragColor = _color * texture2D(texture, texCoord);

}